silx (2.0.0+dfsg-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:01:13 +1100

silx (2.0.0+dfsg-1) unstable; urgency=low

  * Update standards version to 4.6.2, no changes needed.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 28 Feb 2024 14:49:37 +0000

silx (2.0.0+dfsg-1~exp1) experimental; urgency=medium

  * d/control: Hardcode the h5py dependency for now until dist-info files are
    provided by python-h5py.
  * d/t/control: Added a test to check that the silx view command can be started.
  * d/t/control: Do not hide the output of the command
  * d/rules: verbose build
  * New upstream version 2.0.0+dfsg

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 06 Feb 2024 11:54:53 +0100

silx (1.1.2+dfsg-2) unstable; urgency=medium

  * d/control: Added B-D python3-hdf5plugin.
  * d/p/0004-skip-two-tests.patch: removed since upstream propose somethinf equivalent.
  * d/p/0005-removed-hdf5plugin-from-full-dependencies.patch: Removed, hdf5plugin is
    now available in Debian.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 23 Jun 2023 09:36:20 +0200

silx (1.1.2+dfsg-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * Edit the description of the mips*el patch, now that we understand it.

  [ Picca Frédéric-Emmanuel ]
  * New upstream release. (Closes: #966051)
  * d/rules: set HOME to avoid FTBFS.
  * d/control: Added B-D-I graphviz for the documentation
  * d/t/control: set the HOME to avoid error with pytools
  * d/t/control: Added python3-pytest-mock
  * d/control: Added B-D pybuild-plugin-pyproject to avoid setup.py build

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 23 Jun 2023 09:10:22 +0200

silx (1.1.0+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Patch out tests that fail on mipsel / mips64el due to a numpy bug.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 03 Feb 2023 16:46:19 -0400

silx (1.1.0+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Add a patch fixing the build with Python 3.11, thanks Simon Quigley.
    (Closes: #1025183)

 -- Stefano Rivera <stefanor@debian.org>  Fri, 27 Jan 2023 21:20:42 -0400

silx (1.1.0+dfsg-3) unstable; urgency=medium

  * do not run test which use lot's of memory

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 04 Nov 2022 16:54:24 +0100

silx (1.1.0+dfsg-2) unstable; urgency=medium

  * fix a typo to avoid running test which use lot's of memory.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 04 Nov 2022 15:42:11 +0100

silx (1.1.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.1.0+dfsg
  * do not install the scipy_spatial COPYING file

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 03 Nov 2022 10:38:19 +0100

silx (1.0.0+dfsg-4) unstable; urgency=medium

  * Team Upload.
  * d/salsa-ci.yml: Disable reprotest
  * d/t/control: Skip testing on i386

 -- Nilesh Patra <nilesh@debian.org>  Mon, 14 Mar 2022 12:56:01 +0530

silx (1.0.0+dfsg-3) unstable; urgency=medium

  * Team Upload.
  * d/t/control: Add test dep on python3-pytest (Closes: #1006690)
  * d/t/control: Make test "not" no-op so as to wxit with
    non-zero exit code when it fails
  * Add patch to fix test with python3.10
  * Add d/salsa-ci.yml

 -- Nilesh Patra <nilesh@debian.org>  Mon, 14 Mar 2022 02:04:04 +0530

silx (1.0.0+dfsg-2) unstable; urgency=medium

  * d/patches/0005-removed-hdf5plugin-from-full-dependencies.patch

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 10 Feb 2022 15:15:16 +0100

silx (1.0.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.0.0+dfsg

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 02 Feb 2022 14:43:11 +0100

silx (0.15.2+dfsg-3) unstable; urgency=medium

  * fix FTBFS by skipping two tests
    https://github.com/silx-kit/silx/issues/3523

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 19 Sep 2021 16:05:34 +0200

silx (0.15.2+dfsg-2) unstable; urgency=medium

  * Bug fix: "Removal of the python3-*-dbg packages in sid/bookworm",
    thanks to Matthias Klose (Closes: #994377).
  * Bug fix: "drop unused *-dbg packages from Build-Depends", thanks to
    Helmut Grohne (Closes: #980417).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 19 Sep 2021 14:07:44 +0200

silx (0.14.0+dfsg-1) unstable; urgency=medium

  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.
  * d/u/signing-key.asc: Added Pierre Paleo gpg key.
  * New upstream version 0.14.0+dfsg

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 06 Jan 2021 15:17:45 +0100

silx (0.13.1+dfsg-1) unstable; urgency=medium

  * New upstream version 0.13.1+dfsg (Closes: #966933)
  * d/control: Standards-Version bumped to 4.1.3 (nothing to do)
  * d/control: Rules-Requires-Root: no
  * Demote documentation dependencies to B-D-I. (Closes: #946110)
    Thanks Helmut Grohne for the patch

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 04 Aug 2020 10:25:26 +0200

silx (0.12.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.12.0+dfsg

 -- Alexandre Marie <alexandre.marie@synchrotron-soleil.fr>  Thu, 30 Jan 2020 11:48:55 +0100

silx (0.11.0+dfsg-3) unstable; urgency=medium

  * d/control: Build-Depends on python3-qtconsole(Closes: #946571).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 11 Dec 2019 09:10:31 +0100

silx (0.11.0+dfsg-2) unstable; urgency=medium

  * Use debhelper-compat instead of debian/compat.
  * remove Python2 modules (Closes: #938481).
  * Switched to compat level 12
    - d/rules: Used --doc-main-package python3-silx.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 19 Oct 2019 13:19:44 +0200

silx (0.11.0+dfsg-1) unstable; urgency=medium

  [ Alexandre Marie ]
  * Added test on openCL's use
  * New upstream version 0.11.0+dfsg
  * d/patches
    - 0004-fix-missing-import.patches (Removed)
    - 0005-fix-problem-with-sift-import (Removed)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 09 Jul 2019 15:26:55 +0200

silx (0.10.1+dfsg-1~exp2) experimental; urgency=medium

  * d/patchs
    + 0005-fix-problem-with-sift-import.patch (Added)

 -- Picca Frédéric-Emmanuel <picca@synchrotron-soleil.fr>  Tue, 28 May 2019 11:17:46 +0200

silx (0.10.1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream version 0.10.1+dfsg
  * d/patches
    + 0004-fix-missing-import.patch (Added)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 28 May 2019 08:20:44 +0200

silx (0.9.0+dfsg-3) unstable; urgency=medium

  * d/rules: Do not run Qt test for now.
  * d/t/control.autodep8: Fixed to run test for real.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 21 Feb 2019 11:22:03 +0100

silx (0.9.0+dfsg-2) unstable; urgency=medium

  * d/patches:
    + 0004-fix-FTBFS-with-numpy-0.16.patch (Added)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 20 Dec 2018 16:21:18 +0100

silx (0.9.0+dfsg-1) unstable; urgency=medium

  [ Picca Frédéric-Emmanuel ]
  * Fixed autopkgtests and use control.autodep8
  * Used salsa-ci for continuous integration.
  * Run autopkgtests via xvfb-run
  * d/control: Removed Build-Depends: python-lxml[-dbg], python-enum34.

  [ Alexandre Marie ]
  * New upstream version 0.9.0+dfsg
  * d/watch: uversionmangling to deal with rc|alpha|beta versions.

 -- Alexandre Marie <alexandre.marie@synchrotron-soleil.fr>  Mon, 17 Dec 2018 13:25:52 +0100

silx (0.8.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.8.0+dfsg
  * Added the pub 4096R/26F8E116 key to keyring
      2016-04-11 Thomas Vincent <thomas.vincent@esrf.fr>
  * d/control
    - Build-Depends
      + Added pandoc
    - Removed obsolete X-Python[3]-Version
  * d/rules
    - Installed the QtDesgigner files only for Qt5.
    - Override dh_python3 to deal with qtdesigner files.
    - Run sphinx with xvfb in order to have the right silx.sx documentation.
    - Avoid QT warnings by setting XDG_RUNTIME_DIR

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 31 Jul 2018 16:24:57 +0200

silx (0.7.0+dfsg-2) unstable; urgency=medium

  * d/rules
    - use py3versions to get the python3 default interpreter version.
      This makes the package backportable.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 13 Mar 2018 20:04:20 +0100

silx (0.7.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.7.0+dfsg
  * Bumped Strandards-Versions to 4.1.3 (nothing to do)
  * d/control
    - Build-Depends
     + Added python[3]-nbsphinx, python-concurrent.futures
  * d/copyright
    remove the third_party _local files.
  * d/patches
     + 0003-do-not-modify-PYTHONPATH-from-setup.py.patch (added)
     - 0005-slocale.h-is-removed-in-GLIBC-2.26.patch (obsolete)
     - 0006-prefer-pyqt5-over-pyside.patch (obsolete)
  * d/rules
    - removed the jessie backports specific code
    - compile extensions only once per interpreter.
    - unactive for now the build time tests.
    - build the doc only with python3.
  * d/watch
    - check the pgp signature

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 13 Mar 2018 07:32:00 +0100

silx (0.6.1+dfsg-2) unstable; urgency=medium

  * d/control
    - Bump Standrad-Version 4.1.1 (nothing to do)
  * fixed glibc 2.26 FTBFS with upstream patch glib2.26 (Closes: #882881)
  * d/patches
    + 0005-slocale.h-is-removed-in-GLIBC-2.26.patch (Added)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 21 Jan 2018 09:32:38 +0100

silx (0.6.1+dfsg-1) unstable; urgency=medium

  * New upstream version 0.6.1+dfsg
  * update watch file

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 25 Nov 2017 17:02:19 +0100

silx (0.6.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.6.0+dfsg
  * d/patches
    - 0001-fix-the-build_man-target.patch (deleted)
    - 0004-test-unactive-ressource-for-now.patch (deleted)
    - 0005-fix-the-sift-removal.patch (deleted)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 07 Oct 2017 08:08:56 +0200

silx (0.5.0+dfsg-2) unstable; urgency=medium

  * d/control
    - Added all the -dbg dependencies for the -dbg packages.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 01 Sep 2017 15:10:44 +0200

silx (0.5.0+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #871637)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 02 Aug 2017 11:00:20 +0100
